> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customer Payments



## OpenAPI

````yaml /openapi.json get /view-specific/{customerId}/payments
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /view-specific/{customerId}/payments:
    get:
      tags:
        - view-specific
      summary: List Customer Payments
      operationId: ViewSpecificController_listCustomerPayments
      parameters:
        - name: customerId
          required: true
          in: path
          description: The customer id
          schema:
            type: string
        - name: whenAt
          required: false
          in: query
          description: 'Optional: the whenAt datetime'
          schema:
            type: string
        - name: simulatedAt
          required: false
          in: query
          description: 'Optional: the simulatedAt datetime'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCustomerPaymentsOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CustomerNotFoundErrorDto'
              examples:
                CUSTOMER_NOT_FOUND:
                  $ref: '#/components/schemas/CustomerNotFoundErrorDto'
          description: ''
components:
  schemas:
    ListCustomerPaymentsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/PaymentDto'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    CustomerNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CUSTOMER_NOT_FOUND
        message:
          type: string
          example: Customer {customerId} ({branchId}) not found
        details:
          $ref: '#/components/schemas/CustomerNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    PaymentDto:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        type:
          type: string
        id:
          type: string
          description: the id of the payment
        status:
          type: string
          description: the status of the payment
          enum:
            - CREATED
            - SUCCESSFUL
            - FAILED
            - CANCELLED
            - DISPUTED
        paymentMode:
          type: string
          description: the payment mode
          enum:
            - DIRECT_DEBIT
            - BANK_TRANSFER
        paymentMethodId:
          type: string
          description: the id of the payment
        amountInEuroCents:
          type: number
          description: the amount to charge in cents of euro
        refundableAmount:
          type: number
          description: the refundable amount in cents of euro
        amountRefunded:
          type: number
          description: the refunded amount in cents of euro
        amountToRefund:
          type: number
          description: the amount waiting for refund to be processed, in cents of euro
        createdAt:
          type: string
          description: the date of creation of the payment
        cancellationReason:
          type: string
          description: the reason of the cancellation
        failureReason:
          type: string
          description: the reason of the failure
        refunds:
          description: the refunds of the payment
          type: array
          items:
            $ref: '#/components/schemas/PaymentRefundDto'
        failedAt:
          type: string
          description: the date of the payment failure
      required:
        - metadata
        - type
        - id
        - status
        - paymentMode
        - paymentMethodId
        - amountInEuroCents
        - refundableAmount
        - amountRefunded
        - amountToRefund
        - createdAt
        - cancellationReason
        - failureReason
        - refunds
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    CustomerNotFoundDetailsDto:
      type: object
      properties:
        customerId:
          type: string
        branchId:
          type: string
        whenAt:
          type: string
        simulatedAt:
          type: string
      required:
        - customerId
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value
    PaymentRefundDto:
      type: object
      properties:
        refundId:
          type: string
          description: the id of the refund
        refundInvoiceId:
          type: string
          description: the id of the invoice leading to the refund
        amountInEuroCents:
          type: number
          description: amount refunded for the refundInvoiceId
        status:
          type: string
          description: refund status
          enum:
            - CREATED
            - SUCCEEDED
            - FAILED
            - CANCELLED
      required:
        - refundId
        - refundInvoiceId
        - amountInEuroCents
        - status

````